Redmine - Defect #38617

Redmine 4.2 on Ruby 2.4 is not compatible with loofah 2.21 or higher
2023-05-29 14:52 - Anton Nekrasov

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Ruby support Estimated time: 0.00 hour
Target version: 4.2.11

Resolution: Fixed Affected version:

Description

Redmine 4.2 does not support ruby 2.4 after updated loofah gem to 2.21.1 version.
Loofah above 2.21.1 requires ruby >= 2.5

Fetching gem metadata from https://rubygems.org/.........
Resolving dependencies...
Bundler found conflicting requirements for the Ruby version:
In Gemfile:
actionpack-xml_parser was resolved to 2.0.1, which depends on
actionpack (>= 5.0) was resolved to 6.1.7, which depends on
Ruby (>= 2.5.0)

Current Ruby version:
Ruby (= 2.4.10)

Associated revisions

Revision 22255 - 2023-06-11 09:58 - Go MAEDA
Redmine 4.2 on Ruby 2.4 is not compatible with Loofah 2.21 or higher (#38617).

Patch by Anton Nekrasov.

History

#1 - 2023-05-29 15:09 - Anton Nekrasov
Closed issue for loofah gem https:/github.com/flavorjones/loofah/issues/266

#2 - 2023-05-29 15:30 - Go MAEDA
- Status changed from New to Confirmed

- Target version set to 4.2.11

Setting the target version to 4.2.11

Index: Gemfile

——— Gemfile (revision 22232)

+++ Gemfile (working copy)

@@ -26,6 +26,7 Q@

gem 'addressable'

gem 'rubyzip', '~> 2.3.0'

gem 'psych', '~> 3.1' if Gem.ruby_version < Gem::Version.new('2.6.0")
+gem 'loofah', '<= 2.21.1' if Gem.ruby_version < Gem::Version.new('2.5.0")
# Windows does not include zoneinfo files, so bundle the tzinfo-data gem
gem 'tzinfo-data', platforms: [:mingw, :x64_mingw, :mswin]

#3 - 2023-05-30 00:47 - Anton Nekrasov

| was wrong in the gem version. The problem seems to have happened before. Required loofah <= 2.20.0
Could you edit the Gemfile please

+gem 'loofah', '<= 2.20.0' if Gem.ruby_version < Gem::Version.new('2.5.0")
https://github.com/flavorjones/loofah/issues/266

#4 - 2023-06-11 09:58 - Go MAEDA

- Subject changed from Redmine 4.2 not support ruby 2.4 after update loofah 2.21.1 gem to Redmine 4.2 on Ruby 2.4 is not compatible with loofah
2.21 or higher

- Status changed from Confirmed to Closed
- Assignee set to Go MAEDA

- Resolution set to Fixed
Committed the fix. Thank you for your contribution.

#5 - 2023-06-15 06:18 - Anton Nekrasov
Thank you.
